#include<bits/stdc++.h>
using namespace std;

int main(){
    string s;
    int a, b;
    cin >> s;
    cin >> a >> b;
    if((a-b)==0){
        for(int i=0;i<a;i++){
           cout << s[0] << s[1];
        }
    }
    else if((b-a)==1){
        for(int i=0;i<a;i++){
           cout << s[1] << s[0];
        }
        cout << s[1];
    }
    else if((a-b)==1){
        for(int i=0;i<b;i++){
           cout << s[0] << s[1];
        }
        cout << s[0];
    }
    else cout << "nemoguce";


    return 0;
}